Page MenuHomeFreeBSD

multimedia/py-subliminal: update to 1.0.1, www/py-flexget: update to 1.2.348,1 (2015-09-03)
ClosedPublic

Authored by jbeich on Sep 4 2015, 1:44 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, May 11, 2:29 PM
Unknown Object (File)
Wed, May 8, 12:52 PM
Unknown Object (File)
Sun, Apr 28, 5:17 AM
Unknown Object (File)
Fri, Apr 26, 4:07 PM
Unknown Object (File)
Apr 22 2024, 7:42 AM
Unknown Object (File)
Apr 17 2024, 5:17 PM
Unknown Object (File)
Apr 17 2024, 5:17 PM
Unknown Object (File)
Apr 17 2024, 5:17 PM
Subscribers
None

Details

Summary

Let's update as py-flexget is getting old (1 year passed). My diff is split into 4 commits one of which adds a new port assigned to you.

Test Plan

Runtime lightly tested by copying my current ~/.flexget/config.yml inside poudriere jail. Local database was also upgraded without issues.

poudriere bulk -t logs for 10.1R i386:
py27-apscheduler-3.0.3.log
py27-flexget-1.2.348,1.log
py27-guessit-0.10.3.log
py27-path.py-8.1.log
py27-subliminal-1.0.1.log

$ pkg upgrade -n
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
Checking for upgrades (3 candidates): 100%
Processing candidates (3 candidates): 100%
Checking integrity... done (0 conflicting)
The following 12 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        py27-guessit: 0.10.3
        py27-enzyme: 0.4.1
        py27-stevedore: 1.7.0
        py27-pbr: 1.6.0
        py27-pip: 7.0.3
        py27-argparse: 1.2.1_1
        py27-babelfish: 0.5.4
        py27-apscheduler: 3.0.3
        py27-tzlocal: 1.1.1
        py27-futures: 3.0.3

Installed packages to be UPGRADED:
        py27-path.py: 6.0 -> 8.1
        py27-flexget: 1.2.172,1 -> 1.2.348,1

The process will require 15 MiB more space.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jbeich retitled this revision from to www/py-flexget: update to 1.2.348,1 (2015-09-03).
jbeich updated this object.
jbeich edited the test plan for this revision. (Show Details)
jbeich added a reviewer: wg.
wg edited edge metadata.

lgtm

Thanks for the work

This revision is now accepted and ready to land.Sep 4 2015, 11:42 AM
jbeich edited edge metadata.

Sorry, more changes:

  • rP363629 regressed flexget as build deps aren't recorded in packages
  • subliminal 0.7.5 wants guessit<0.10,>=0.7
  • update subliminal to 1.0.1 (to avoid discarding work)
# How upgrade looks for py-subliminal users
$ pkg upgrade -n
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
Checking for upgrades (3 candidates): 100%
Processing candidates (3 candidates): 100%
Checking integrity... done (0 conflicting)
The following 4 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        py27-click: 4.1
        py27-dateutil: 2.3

Installed packages to be UPGRADED:
        py27-subliminal: 0.7.5_1 -> 1.0.1
        py27-guessit: 0.8 -> 0.9.4

The process will require 1 MiB more space.
This revision now requires review to proceed.Sep 4 2015, 2:28 PM
jbeich planned changes to this revision.EditedSep 4 2015, 2:30 PM

Oops, I didn't notice py-subliminal uses GH_TAGNAME instead of PORTVERSION as a tag.

jbeich edited edge metadata.

It should work for both subliminal and flexget now. Runtime smoke tests done inside poudriere jail.

The update was done using the following routine:

$ git clone /path/to/repo
$ git diff <current_version>..<new_version> setup.py
[merging difference into port's Makefile]

So, v2 was kinda ironic in changing deps for py-subliminal while its distfile contents remained the same.

jbeich retitled this revision from www/py-flexget: update to 1.2.348,1 (2015-09-03) to multimedia/py-subliminal: update to 1.0.1, www/py-flexget: update to 1.2.348,1 (2015-09-03).Sep 4 2015, 3:00 PM
jbeich updated this object.
jbeich edited the test plan for this revision. (Show Details)
wg edited edge metadata.

Yeah, I had a pending subliminal PR too, two birds one stone

This revision is now accepted and ready to land.Sep 4 2015, 4:08 PM
This revision was automatically updated to reflect the committed changes.